%global gem_name cucumber-rails

Summary: Cucumber Generators and Runtime for Rails
Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/cucumber/cucumber-rails
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(rubygems)
Requires: ruby(release)
Requires: rubygem(cucumber) >= 0.8.0
Requires: rubygem(rails) >= 2.3.5
BuildRequires: rubygems-devel
# rspec gem is required, while rspec executable is provided by rspec-core:
# https://github.com/cucumber/cucumber-rails/pull/218
# BuildRequires: %%{_bindir}/rspec
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(ammeter)
BuildRequires: rubygem(minitest)
# BuildRequires: %%{_bindir}/cucumber
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(rails)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Cucumber Generators and Runtime for Rails

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
rm -f %{buildroot}%{gem_instdir}/Gemfile.lock
find %{buildroot}%{gem_instdir} -type f | xargs chmod -x

%check
pushd .%{gem_instdir}
rspec spec

# Cucumber test suite runs just out of git repo:
# https://github.com/cucumber/cucumber-rails/issues/219
# sed -i "/require 'bundler\/setup'/d" features/support/env.rb
# cucumber
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/config/.gitignore
%{gem_libdir}
%{gem_instdir}/config
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md
%{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/spec
%{gem_instdir}/features
%{gem_instdir}/Rakefile
%{gem_instdir}/dev_tasks
%{gem_instdir}/%{gem_name}.gemspec
%{gem_docdir}

%changelog
* Mon Mar 11 2013 Vít Ondruch <vondruch@redhat.com> - 1.3.0-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 27 2012 Vít Ondruch <vondruch@redhat.com> - 1.3.0-1
- Update to cucumber-rails 1.3.0.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 06 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.2-9
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 13 2011 Mo Morsi <mmorsi@redhat.com> - 1.0.2-1
- Update to latest upstream release

* Fri Jul 08 2011 Chris Lalancette <clalance@redhat.com> - 0.3.2-7
- Remove the check section as it doesn't work currently
- Re-arrange the spec to install the gem during prep

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-5
- Fixed wrong email in changelog
- Fixed version in cucumber dependency
- Fixed attributes on doc subpackage

* Mon Oct 11 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-4
- Moved tests and documentation to doc subpackage
- Fixed licence tag
- Removed unused macros
- Fixed version dependencies

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-3
- Added nokogiri gem to dependencies

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-2
- Added missing cucumber dependency for build

* Fri Oct 01 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-1
- Initial package
